package me.nvus.xprison.mines.migration.utils;

import me.nvus.xprison.mines.migration.gui.AllMinesMigrationGui;
import me.nvus.xprison.mines.migration.gui.MinesMigrationGui;
import me.nvus.xprison.mines.migration.model.MinesMigration;
import org.bukkit.entity.Player;

public class MinesMigrationUtils {

	public static void openMinesMigrationGui(Player player, MinesMigration migration) {
		MinesMigrationGui gui = new MinesMigrationGui(player, migration);
		gui.open();
	}

	public static void openAllMinesMigrationGui(Player player) {
		AllMinesMigrationGui gui = new AllMinesMigrationGui(player);
		gui.open();
	}


	private MinesMigrationUtils() {
		throw new UnsupportedOperationException("Cannot instantiate");
	}
}
