package me.nvus.xprison.mines.migration.utils;

import me.nvus.xprison.mines.migration.exception.MinesMigrationNotSupportedException;
import me.nvus.xprison.mines.migration.model.MinesMigration;
import me.nvus.xprison.mines.migration.model.impl.MineResetLiteMigration;

public class MinesMigrationFactory {

	public static MinesMigration fromPlugin(String pluginName) throws MinesMigrationNotSupportedException {

		if ("mineresetlite".equalsIgnoreCase(pluginName)) {
			return new MineResetLiteMigration();
		}
		throw new MinesMigrationNotSupportedException(pluginName);

	}
}
